# Fabulously Optimized

A simple modpack for people who are used to having Forge and OptiFine and are curious to see what equivalents Fabric has to offer. You could consider this modpack a "starting point" to optimize your game before adding more functional mods or you could just play this as if it was vanilla - the choice is yours. 

The pack only adds performance and graphics enhancements to the client, so **it works on every world and server**.

**[Download from Curseforge](https://www.curseforge.com/minecraft/modpacks/fabulously-optimized)** - supports Curseforge, MultiMC, GDLauncher and vanilla launcher*.

[Auto-updating MultiMC pack](https://github.com/Madis0/fabulously-optimized/releases/download/v2.1.0a1/Fabulously.Optimized.MultiMC.auto-update.zip) [(read more)](https://github.com/Madis0/fabulously-optimized/wiki/Auto-updating-MultiMC-pack)

*For vanilla, download the MultiMC variant and unpack manually.

## Reviews

[![Current review](https://img.youtube.com/vi/bb8G9X5Q_4I/maxresdefault.jpg)](https://www.youtube.com/watch?v=bb8G9X5Q_4I)

[Review](https://www.youtube.com/watch?v=crtB5DnZ3a8) by KoPlexis MC

[Review](https://www.youtube.com/watch?v=XR0zJL9blpE) by MobPlay

[Gameplay](https://youtu.be/ggCGrlMLOEc?t=110) by Just Oj

[Review of some mods on the pack](https://www.youtube.com/watch?v=8OBkqn4Z4ek) by PD

[Old review](https://www.youtube.com/watch?v=YQyDNc7aGBs) by Niche Duck

[Chunk smoothness showcase](https://www.youtube.com/watch?v=FEdt1lQsJDo) by Kogasa

## Included mods

The selected mods are inspired, but not limited by the [list of Optifine alternatives](https://gist.github.com/LambdAurora/1f6a4a99af374ce500f250c6b42e8754). Starting with 2.0, the modpack also [improves the default settings](https://github.com/Madis0/fabulously-optimized/wiki/Changed-options).

List of mods as of 2.1.0-beta.1 are below. Crossed out ones are not yet updated to 1.17.1; for a stable 1.16.5 list, please [see the Curseforge page](https://www.curseforge.com/minecraft/modpacks/fabulously-optimized).

### Smooth
* [Sodium](https://www.curseforge.com/minecraft/mc-mods/sodium) by CaffeineMC - optimizes general rendering to improve FPS, adds some graphics options
* [Lithium](https://www.curseforge.com/minecraft/mc-mods/lithium) by CaffeineMC - optimizes game physics and chunk loading
* [~~Phosphor~~](https://www.curseforge.com/minecraft/mc-mods/phosphor) by CaffeineMC - optimizes light rendering
* [Hydrogen](https://modrinth.com/mod/hydrogen)¹ by CaffeineMC - reduces RAM usage
* [FerriteCore](https://www.curseforge.com/minecraft/mc-mods/ferritecore-fabric) by malte0811 - reduces RAM usage
* [EntityCulling Fabric/Forge](https://www.curseforge.com/minecraft/mc-mods/entityculling) by tr9zw - stops rendering entities that are behind a wall, useful in large servers and mobfarms
* [FastChest](https://www.curseforge.com/minecraft/mc-mods/fastchest) by fake_domi - makes chest rendering less intensive (more FPS on chest rooms!)
* [Better Beds](https://www.curseforge.com/minecraft/mc-mods/better-beds) by Motschen - makes bed rendering less intensive (more FPS on villager farms!)
* [LazyDFU](https://www.curseforge.com/minecraft/mc-mods/lazydfu) by tuxed - makes the game startup faster
* [No Fade](https://www.curseforge.com/minecraft/mc-mods/no-fade) by UltimateBoomer - makes game startup and resourcepack switch faster by removing fade animations
* [Smooth Boot](https://www.curseforge.com/minecraft/mc-mods/smooth-boot) by UltimateBoomer - improves the overall responsiveness of the game (aka less likely to freeze)
* [Dynamic FPS](https://www.curseforge.com/minecraft/mc-mods/dynamic-fps) by juliand665 - renders Minecraft slower if it is in the background to save RAM
* [~~Smooth Scrolling Everywhere~~](https://www.curseforge.com/minecraft/mc-mods/smooth-scrolling-everywhere-fabric) by shedaniel - makes the scrolling smooth on various menus

### Pretty
* [~~Iris Shaders~~](https://www.curseforge.com/minecraft/mc-mods/irisshaders) by coderbot - adds support for Optifine shaders
* [Sodium Extra](https://www.curseforge.com/minecraft/mc-mods/sodium-extra) by FlashyReese - adds many toggles to Sodium settings: animations, particles, weather, FPS indicator and more
* [LambDynamicLights](https://www.curseforge.com/minecraft/mc-mods/lambdynamiclights) by LambdAurora - lets you light up the area by holding a torch, lights up TNT and creeper flashing
* [Fabric Capes](https://www.curseforge.com/minecraft/mc-mods/capes) by VictorKohler - shows Optifine's and other custom capes in-game, see "I want a cape!" above
* [Cull Leaves](https://www.curseforge.com/minecraft/mc-mods/cull-leaves) by Motschen - optionally makes fancy leaves more see-through, which could improve FPS (enable in mod settings)
* [~~Colormatic~~](https://www.curseforge.com/minecraft/mc-mods/colormatic) by kwertiTheCats - adds Optifine custom colors support, clear skies and clear void options
* ['Slight' Gui Modifications](https://www.curseforge.com/minecraft/mc-mods/slight-gui-modifications) by shedaniel - adds fancy animations to the menus and containers, optional FPS counter
* [Item Model Fix](https://www.curseforge.com/minecraft/mc-mods/item-model-fix) by Pepper_Bell - fixes transparent gaps in held items
* [Custom Fog](https://www.curseforge.com/minecraft/mc-mods/custom-fog) by Setadokalo - lets you customize the fog distance and density
* [Fabrishot](https://www.curseforge.com/minecraft/mc-mods/fabrishot) by ramidzkh - lets you take a high-res screenshot (press F9)

### Functional
* [WI Zoom](https://www.curseforge.com/minecraft/mc-mods/wi-zoom) by alexander9892 - adds a scrollable zoom feature
* [AntiGhost](https://www.curseforge.com/minecraft/mc-mods/antighost) by Giselbaer - if you see glitching blocks, type /ghost to fix
* [Your Options Shall Be Respected](https://www.curseforge.com/minecraft/mc-mods/yosbr) by shedaniel - keeps your mod settings and vanilla settings when updating the modpack
* [Mod Menu](https://www.curseforge.com/minecraft/mc-mods/modmenu) by TerraformersMC - gives you the list of mods and lets you adjust their configuration
* [Not Enough Crashes](https://www.curseforge.com/minecraft/mc-mods/not-enough-crashes) by NatanFudge - lets you play after a crash and report it comfortably
* [Fabric API](https://www.curseforge.com/minecraft/mc-mods/fabric-api) by modmuss50 - makes most mods work
* [Cloth Config API](https://www.curseforge.com/minecraft/mc-mods/cloth-config) by shedaniel - makes many mods' config work
* [Cloth API (Fabric)](https://www.curseforge.com/minecraft/mc-mods/cloth-api) by shedaniel - makes some mods work
* [Architectury](https://www.curseforge.com/minecraft/mc-mods/architectury-fabric) by shedaniel - makes some mods work
* [Fabric Language Kotlin](https://www.curseforge.com/minecraft/mc-mods/fabric-language-kotlin) by modmuss50 - makes some mods work

¹ The mod is not from Curseforge, but the license and Curseforge allow usage in modpacks

## Help

Help is provided by:

* [Curseforge listing](https://www.curseforge.com/minecraft/modpacks/fabulously-optimized) comments
* [Wiki](https://github.com/Madis0/fabulously-optimized/wiki)
* [Issues](https://github.com/Madis0/fabulously-optimized/issues) (mod suggestions, bug reports)

## Disclaimer

The modpack has been set up to be compatible with the rules of most public third-party servers, but it is your responsibility to verify whether you are allowed to use it or not. By installing this modpack you agree that the the modpack author, the mod developers and Mojang provide no warranties for using this modpack, every action you do with it is your own. 

This modpack disables the in-game third-party server disclaimer, so if you are using the multiplayer function, you also agree to the following: "Caution: Online play is offered by third-party servers that are not owned, operated, or supervised by Mojang Studios or Microsoft. During online play, you may be exposed to unmoderated chat messages or other types of user-generated content that may not be suitable for everyone.". You must also be aware that you can use the "social interactions" screen by pressing the key P in-game.
